import { fastifyManager } from "./fastify/manager";
import { discordBot } from "./helpers/discord.bot";

class Index {
    public static async main() : Promise<void> {
        const main = new Index();
        await main.start();
    };

    public async start() : Promise<void> {
        await discordBot.start();
        await fastifyManager.start();
    }
}

const index : Promise<void> = Index.main();
